explain_gethostbyname_or_die(3)

NAME
explain_gethostbyname_or_die - get host address by host name and report errors

SYNOPSIS
#include <libexplain/gethostbyname.h>

struct hostent *explain_gethostbyname_or_die(const char *name);
struct hostent *explain_gethostbyname_on_error(const char *name);

DESCRIPTION
The explain_gethostbyname_or_die function is used to call the gethostbyname(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_gethostbyname(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_gethostbyname_on_error function is used to call the gethostbyname(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_gethostbyname(3) function, but still returns to the caller.

name
    The name, exactly as to be passed to the gethostbyname(3) system call.

RETURN VALUE
The explain_gethostbyname_or_die function only returns on success, see gethostbyname(3) for more information. On failure, prints an explanation and exits, it does not return.

The explain_gethostbyname_on_error function always returns the value return by the wrapped gethostbyname(3) system call.

EXAMPLE
The explain_gethostbyname_or_die function is intended to be used in a fashion similar to the following example:
    struct hostent *result = explain_gethostbyname_or_die(name);

SEE ALSO

gethostbyname(3)
    get host address given host name

explain_gethostbyname(3)
    explain gethostbyname(3) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version 1.2
Copyright (C) 2013 Peter Miller